org.modeshape.connector.meta.jdbc

## Class JdbcMetadataLexicon

- java.lang.Object
- - org.modeshape.connector.meta.jdbc.JdbcMetadataLexicon

-     public class JdbcMetadataLexicon
      extends Object

  The namespace and property names used within a `JdbcMetadataConnector` to store internal information.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JdbcMetadataLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Name` | `CATALOG`
    `static Name` | `COLUMN`
    `static Name` | `COLUMN_SIZE`
    `static Name` | `DATABASE_MAJOR_VERSION`
    `static Name` | `DATABASE_MINOR_VERSION`
    `static Name` | `DATABASE_PRODUCT_NAME`
    `static Name` | `DATABASE_PRODUCT_VERSION`
    `static Name` | `DATABASE_ROOT`
    `static Name` | `DECIMAL_DIGITS`
    `static Name` | `DEFAULT_VALUE`
    `static Name` | `DEFERRABILITY`
    `static Name` | `DELETE_RULE`
    `static Name` | `DESCRIPTION`
    `static Name` | `FOREIGN_KEY`
    `static Name` | `FOREIGN_KEY_CATALOG_NAME`
    `static Name` | `FOREIGN_KEY_COLUMN_NAME`
    `static Name` | `FOREIGN_KEY_NAME`
    `static Name` | `FOREIGN_KEY_SCHEMA_NAME`
    `static Name` | `FOREIGN_KEY_TABLE_NAME`
    `static Name` | `FOREIGN_KEYS`
    `static Name` | `JDBC_DATA_TYPE`
    `static Name` | `LENGTH`
    `static Name` | `NULLABLE`
    `static Name` | `ORDINAL_POSITION`
    `static Name` | `PRIMARY_KEY_CATALOG_NAME`
    `static Name` | `PRIMARY_KEY_COLUMN_NAME`
    `static Name` | `PRIMARY_KEY_NAME`
    `static Name` | `PRIMARY_KEY_SCHEMA_NAME`
    `static Name` | `PRIMARY_KEY_TABLE_NAME`
    `static Name` | `PROCEDURE`
    `static Name` | `PROCEDURE_RETURN_TYPE`
    `static Name` | `PROCEDURES`
    `static Name` | `RADIX`
    `static Name` | `REFERENCE_GENERATION_STRATEGY_NAME`
    `static Name` | `SCHEMA`
    `static Name` | `SCOPE_CATALOG_NAME`
    `static Name` | `SCOPE_SCHEMA_NAME`
    `static Name` | `SCOPE_TABLE_NAME`
    `static Name` | `SELF_REFERENCING_COLUMN_NAME`
    `static Name` | `SEQUENCE_NR`
    `static Name` | `SOURCE_JDBC_DATA_TYPE`
    `static Name` | `TABLE`
    `static Name` | `TABLE_TYPE`
    `static Name` | `TABLES`
    `static Name` | `TYPE_CATALOG_NAME`
    `static Name` | `TYPE_NAME`
    `static Name` | `TYPE_SCHEMA_NAME`
    `static Name` | `UPDATE_RULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcMetadataLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CATALOG

          public static final Name CATALOG

    - #### COLUMN

          public static final Name COLUMN

    - #### COLUMN_SIZE

          public static final Name COLUMN_SIZE

    - #### DATABASE_MAJOR_VERSION

          public static final Name DATABASE_MAJOR_VERSION

    - #### DATABASE_MINOR_VERSION

          public static final Name DATABASE_MINOR_VERSION

    - #### DATABASE_PRODUCT_NAME

          public static final Name DATABASE_PRODUCT_NAME

    - #### DATABASE_PRODUCT_VERSION

          public static final Name DATABASE_PRODUCT_VERSION

    - #### DATABASE_ROOT

          public static final Name DATABASE_ROOT

    - #### DECIMAL_DIGITS

          public static final Name DECIMAL_DIGITS

    - #### DEFAULT_VALUE

          public static final Name DEFAULT_VALUE

    - #### DESCRIPTION

          public static final Name DESCRIPTION

    - #### JDBC_DATA_TYPE

          public static final Name JDBC_DATA_TYPE

    - #### NULLABLE

          public static final Name NULLABLE

    - #### LENGTH

          public static final Name LENGTH

    - #### ORDINAL_POSITION

          public static final Name ORDINAL_POSITION

    - #### PROCEDURE

          public static final Name PROCEDURE

    - #### PROCEDURES

          public static final Name PROCEDURES

    - #### PROCEDURE_RETURN_TYPE

          public static final Name PROCEDURE_RETURN_TYPE

    - #### RADIX

          public static final Name RADIX

    - #### REFERENCE_GENERATION_STRATEGY_NAME

          public static final Name REFERENCE_GENERATION_STRATEGY_NAME

    - #### SCHEMA

          public static final Name SCHEMA

    - #### SCOPE_CATALOG_NAME

          public static final Name SCOPE_CATALOG_NAME

    - #### SCOPE_SCHEMA_NAME

          public static final Name SCOPE_SCHEMA_NAME

    - #### SCOPE_TABLE_NAME

          public static final Name SCOPE_TABLE_NAME

    - #### SELF_REFERENCING_COLUMN_NAME

          public static final Name SELF_REFERENCING_COLUMN_NAME

    - #### SOURCE_JDBC_DATA_TYPE

          public static final Name SOURCE_JDBC_DATA_TYPE

    - #### TABLE

          public static final Name TABLE

    - #### TABLES

          public static final Name TABLES

    - #### TABLE_TYPE

          public static final Name TABLE_TYPE

    - #### TYPE_NAME

          public static final Name TYPE_NAME

    - #### TYPE_CATALOG_NAME

          public static final Name TYPE_CATALOG_NAME

    - #### TYPE_SCHEMA_NAME

          public static final Name TYPE_SCHEMA_NAME

    - #### FOREIGN_KEYS

          public static final Name FOREIGN_KEYS

    - #### FOREIGN_KEY

          public static final Name FOREIGN_KEY

    - #### PRIMARY_KEY_CATALOG_NAME

          public static final Name PRIMARY_KEY_CATALOG_NAME

    - #### PRIMARY_KEY_SCHEMA_NAME

          public static final Name PRIMARY_KEY_SCHEMA_NAME

    - #### PRIMARY_KEY_TABLE_NAME

          public static final Name PRIMARY_KEY_TABLE_NAME

    - #### PRIMARY_KEY_COLUMN_NAME

          public static final Name PRIMARY_KEY_COLUMN_NAME

    - #### FOREIGN_KEY_CATALOG_NAME

          public static final Name FOREIGN_KEY_CATALOG_NAME

    - #### FOREIGN_KEY_SCHEMA_NAME

          public static final Name FOREIGN_KEY_SCHEMA_NAME

    - #### FOREIGN_KEY_TABLE_NAME

          public static final Name FOREIGN_KEY_TABLE_NAME

    - #### FOREIGN_KEY_COLUMN_NAME

          public static final Name FOREIGN_KEY_COLUMN_NAME

    - #### SEQUENCE_NR

          public static final Name SEQUENCE_NR

    - #### UPDATE_RULE

          public static final Name UPDATE_RULE

    - #### DELETE_RULE

          public static final Name DELETE_RULE

    - #### PRIMARY_KEY_NAME

          public static final Name PRIMARY_KEY_NAME

    - #### FOREIGN_KEY_NAME

          public static final Name FOREIGN_KEY_NAME

    - #### DEFERRABILITY

          public static final Name DEFERRABILITY

  - ### Constructor Detail

    - #### JdbcMetadataLexicon

          public JdbcMetadataLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.